;**************************************************************************************************************
;	trata de receber as strings da WMR918 e guarda-los em memoria, p posterior tratamento
;**************************************************************************************************************

usart


_primeiro_e_segundo_FF
	movlw	0xff			;second start digit of string
	subwf	rcreg, w		;put char on W
	btfss	status, z		; do we have a match ??
	 goto	_end_string

	bsf	flag_rs232, 1
	btfss	flag_rs232, 0		;testa se e' o primeiro ou segundo FF
	 bcf	flag_rs232, 1		;clear se for o primeiro

	bsf	flag_rs232, 0		;activa a flag de primeiro FF

	return				;sai da rotina, pq nao e' FF

_end_string

	movlw	b'00000011'		;flag value when string completed
	subwf	flag_rs232, w
	btfss	status, z		;do we have a match ??
	 return				;sai da rotina, pq ainda nao iniciou a string FF FF
	clrf	flag_rs232	

;**************************************************************************************************************
_vento
	movlw	0x00			;second start digit of string
	subwf	rcreg, w		;put char on W
	btfsc	status, z		; do we have a match ??
	 goto	_rx_vento

_chuva
	movlw	0x01			;second start digit of string
	subwf	rcreg, w		;put char on W
	btfsc	status, z		; do we have a match ??
	 goto	_rx_chuva
	
_outdoor
	movlw	0x03			;second start digit of string
	subwf	rcreg, w		;put char on W
	btfsc	status, z		; do we have a match ??
	 goto	_rx_outdoor

_indoor
	movlw	0x06			;second start digit of string
	subwf	rcreg, w		;put char on W
	btfsc	status, z		; do we have a match ??
	 goto	_rx_indoor

	return				;nao e' nenhum deles, entao, sai da rotina




