;**************************************************************************************************************
;**************************************************************************************************************
_rx_vento
	
	btfss	pir1, rcif		;usart interrupt ??			BATERIA byte1
	 goto	$-1
	movf	rcreg, w		;carrega W com rx data
	movwf	bateria_vento
	clrf	rcreg

	btfss	pir1, rcif		;usart interrupt ??			GUST direcao byte2
	 goto	$-1
	movf	rcreg, w		;carrega W com rx data
	movwf	temp_vento_2
	clrf	rcreg

	btfss	pir1, rcif		;usart interrupt ??			GUST direcao byte3low
	 goto	$-1
	movf	rcreg, w		;carrega W com rx data			GUST velocidade byte3high
	movwf	temp_vento_3		;					(este nao ultimo nao interessa)
	clrf	rcreg

	btfss	pir1, rcif		;usart interrupt ??			GUST velocidade byte4
	 goto	$-1
	movf	rcreg, w		;carrega W com rx data
	movwf	temp_vento_4
	clrf	rcreg

	btfss	pir1, rcif		;usart interrupt ??			AVERAGE velocidade byte5
	 goto	$-1
	movf	rcreg, w		;carrega W com rx data
	movwf	temp_vento_5
	clrf	rcreg

	btfss	pir1, rcif		;usart interrupt ??			AVERAGE velocidade byte6
	 goto	$-1
	movf	rcreg, w		;carrega W com rx data
	movwf	temp_vento_6
	clrf	rcreg


;;;;;;;;
	swapf	bateria_vento, w	;verifica nivel bateria
	andlw	0x0f
	sublw	0x03			;se for igual ou maior a "4", da' sinal de fraco
	bcf	flag_erro, 0
	btfss	status, c
	 bsf	flag_erro, 0		;acciona erro
;;;;;;;;



;;;;;;; DIRECAO ERRADA - PASSE POR CIMA

	movf	temp_vento_3, w		;TESTE P VER SE NAO TEMOS A DIRECAO MARADA
	andlw	0x0f
	sublw	.3
	btfss	status, c		;SE ESTIVER ERRADO, NAO CARREGA NOVOS VALORES
	 return


	movf	temp_vento_2, w		;mostra a DIRECCAO na trama de APRS
	andlw	0x0f
	addlw	0x30
	movwf	direccao_um

	swapf	temp_vento_2, w
	andlw	0x0f
	addlw	0x30
	movwf	direccao_dez

	movf	temp_vento_3, w
	andlw	0x0f
	addlw	0x30
	movwf	direccao_cem


;*******************************************************************************
;	vento
;	1o muda os dados recebidos, p binario, depois multiplica pela constante,
;		e depois converte de novo p BCD. Por fim carrega os registos
;		p a trama APRS
;*******************************************************************************

	movf	temp_vento_4, w			;usa a VELOCIDADE, da string q RX da estacao
	movwf	R2				;carrega os registos BCD p mudar p binario
	clrf	R1
	clrf	R0
	call	BCDtoB				;BCD p binario

;;;;
	swapf	temp_vento_3, w			;verificar se o decimal da velocidade >= 5
	andlw	0x0f
	sublw	0x04				;subtrai W ao literal
	btfss	status, c			;carry=0 qd >= 5
	 incf	L_byte, f			;carry=0, entao salta o incremento de uma unidade ao L_byte
;;;;

	movf	L_byte, w			;como o numero e' menor q FF (255), usa-se apenas o L_byte
	movwf	multiplicando			;carrega o multiplicando0 (o LSB)
	movlw	.223				;carrega constante p o vento, ja' multiplicada por 100
	movwf	multiplicador			;carrega o multiplicador0
	call	mul8x8				;multiplica 8x8

	call	B2_BCD				;converte de binario p BCD

	movf	R0, w				;usa byte R0 e R1. Nao se usa o R2, pq nao usando, se faz 
	andlw	0x0f				; divisao por 100 !!
	addlw	0x30
	movwf	pico_cem			

	swapf	R1, w				
	andlw	0x0f
	addlw	0x30
	movwf	pico_dez

	movf	R1, w				
	andlw	0x0f				
	addlw	0x30
	movwf	pico_um

;-----------------------------
;;;;
	movf	temp_vento_5, w			;verificar se o decimal da velocidade >= 5
	andlw	0x0f
	sublw	0x04				;subtrai W ao literal
	btfss	status, c			;carry=0 qd >= 5
	 incf	L_byte, f			;carry=0, entao salta o incremento de uma unidade ao L_byte
;;;;

	swapf	temp_vento_5, f			;carrega p W, o digito das unidades, e o das dezenas
	movlw	0x0f
	andwf	temp_vento_5, w
	swapf	temp_vento_6, f
	iorwf	temp_vento_6, w

	movwf	R2				;carrega os registos BCD p mudar p binario
	clrf	R1
	clrf	R0
	call	BCDtoB				;BCD p binario

	movf	L_byte, w			;como o numero e' menor q FF (255), usa-se apenas o L_byte
	movwf	multiplicando			;carrega o multiplicando0 (o LSB)
	movlw	.223				;carrega constante p o vento, ja' multiplicada por 100
	movwf	multiplicador			;carrega o multiplicador0
	call	mul8x8				;multiplica 8x8

	call	B2_BCD				;converte de binario p BCD

	movf	R0, w				;usa byte R0 e R1. Nao se usa o R2, pq nao usando, se faz 
	andlw	0x0f				; divisao por 100 !!
	addlw	0x30
	movwf	velocidade_cem			;VELOCIDADE MEDIA

	swapf	R1, w				
	andlw	0x0f
	addlw	0x30
	movwf	velocidade_dez

	movf	R1, w				
	andlw	0x0f				
	addlw	0x30
	movwf	velocidade_um

;---------------------------
	return


;**************************************************************************************************************
;**************************************************************************************************************
_rx_chuva
	
	btfss	pir1, rcif		;usart interrupt ??
	 goto	$-1
	movf	rcreg, w		;carrega W com rx data do estado da Bateria
	movwf	bateria_chuva
	clrf	rcreg

	btfss	pir1, rcif		;usart interrupt ??
	 goto	$-1
	movf	rcreg, w		;carrega W com rx data chuva actual
	movwf	temp_chuva_2
	clrf	rcreg

	btfss	pir1, rcif		;usart interrupt ??
	 goto	$-1
	movf	rcreg, w		;carrega W com rx data chuva actual
	movwf	temp_chuva_3
	clrf	rcreg

;;;;;
	swapf	bateria_chuva, w	;verifica nivel bateria
	andlw	0x0f
	sublw	0x03			;a partir de 4 ja' da' sinal
	bcf	flag_erro, 1
	btfss	status, c
	 bsf	flag_erro, 1		;acciona erro

;*******************************************************************************
;	chuva
;	1o muda os dados recebidos p binario, depois multiplica pela constante
;		e depois converte de novo p BCD. Por fim carrega os registos
;		p a trama APRS
;*******************************************************************************

	movf	temp_chuva_2, w			;carrega registo R2 para BCD->Binario
	movwf	R2
	movf	temp_chuva_3, w			;carrega registo R2 para BCD->Binario
	andlw	0x0f
	movwf	R1
	clrf	R0

	call	BCDtoB				;BCD p binario

	movf	L_byte, w			;como o numero e' menor q FF (255, tem q ser!! :-|), usa-se apenas o L_byte
	movwf	multiplicando			;carrega o multiplicando (o LSB)
	movlw	.4				;carrega constante p o chuva, ja' multiplicada por 100
	movwf	multiplicador			;carrega o multiplicador
	call	mul8x8				;multiplica 8x8

	call	B2_BCD				;converte de binario p BCD
	
	movf	R2, w				;carrega registos de pluviosidade com calculos feitos	
	andlw	0x0f
	addlw	0x30				;char ASCII
	movwf	chuva_um			

	swapf	R2, w				;carrega registos de pluviosidade com calculos feitos	
	andlw	0x0f
	addlw	0x30				;char ASCII
	movwf	chuva_dez

	movf	R1, w				;carrega registos de pluviosidade com calculos feitos	
	andlw	0x0f
	addlw	0x30				;char ASCII
	movwf	chuva_cem
	
	return

;**************************************************************************************************************
;**************************************************************************************************************
_rx_outdoor
	
	btfss	pir1, rcif		;usart interrupt ??
	 goto	$-1
	movf	rcreg, w		;carrega W com rx data do estado da Bateria
	movwf	bateria_outdoor
	clrf	rcreg

	btfss	pir1, rcif		;usart interrupt ??
	 goto	$-1
	movf	rcreg, w		;carrega W com rx data TEMPERATURA EXTERIOR
	movwf	temp_outdoor_2
	clrf	rcreg

	btfss	pir1, rcif		;usart interrupt ??
	 goto	$-1
	movf	rcreg, w		;carrega W com rx data TEMPERATURA EXTERIOR
	movwf	temp_outdoor_3
	clrf	rcreg

	btfss	pir1, rcif		;usart interrupt ??
	 goto	$-1
	movf	rcreg, w		;carrega W com rx data HUMIDADE
	movwf	temp_outdoor_4
	clrf	rcreg


;;;
	swapf	bateria_outdoor, w	;verifica nivel bateria
	andlw	0x0f
	sublw	0x03			;a partir de "4", ja' da' sinal de fraco
	bcf	flag_erro, 2
	btfss	status, c
	 bsf	flag_erro, 2		;acciona erro

;;;

	movf	temp_outdoor_4, w		;mostra a HUMIDADE na trama de APRS
	andlw	0x0f
	addlw	0x30
	movwf	humidade_um

	swapf	temp_outdoor_4, w
	andlw	0x0f
	addlw	0x30
	movwf	humidade_dez


;*******************************************************************************
;	temperatura
;	1o muda os dados recebidos p binario, depois multiplica pela constante
;		e depois converte de novo p BCD. Por fim carrega os registos
;		p a trama APRS
;*******************************************************************************

	movlw	0xf0				;testa se a temperatura e' negativa
	andwf	temp_outdoor_3, w
	btfsc	status, z			
	 goto	temperatura_positiva		;e' positiva
						;e' negativa

temperatura_inferior_17_negativos

	swapf	temp_outdoor_2, w		;carrega valores RAW da temperatura em Centrigados
	andlw	0x0f				;mascara W com 0x0F
	movwf	temperatura_cem			;e volta a carregar o mesmo  (TEMPORARIO APENAS)
	swapf	temp_outdoor_3, w		;nao havia nexexidade de queimar um byte, com esta cagada
	andlw	0xf0				;mascara com 0xF0
	addwf	temperatura_cem, f		;junta os dois no W   (TEMPORARIO APENAS)

	movf	temperatura_cem, w
	sublw	0x17				;verifica se temos -17C
	btfsc	status, c
	 goto	temperatura_superior_17_negativos

	movlw	'0'				;carrega 0F graus (-17C)
	movwf	temperatura_cem
	movwf	temperatura_dez
	movwf	temperatura_um
	return					;saia


temperatura_superior_17_negativos

	movf	temperatura_cem, w		;volta a carregar (TEMPORARIO APENAS)
	movwf	R2				;carrega os registos BCD, p mudar p binario
	clrf	R1
	clrf	R0
	call	BCDtoB				;BCD p binario

	movf	L_byte, w			;como o numero e' menor q FF (255), usa-se apenas o L_byte
	movwf	multiplicando			;carrega o multiplicando (o LSB)
	movlw	.180				;carrega constante p o vento, ja' multiplicada por 100
	movwf	multiplicador			;carrega o multiplicador
	call	mul8x8				;multiplica 8x8

;;;;
	;Subtracao pelo metodo de complemento a 1

	comf	L_byte, f			;inverte
	incf	L_byte, f			;soma 1
	movlw	0x80				;faz a soma de parte baixa de d'3200'
	addwf	L_byte, f			;volta a por no original

	comf	H_byte, f			;inverte
	incf	H_byte, f			;soma 1
	movlw	0x0c				;faz a soma da parte alta de d'3200'	
	addwf	H_byte, f			;volta a por no original

;;;;

	call	B2_BCD				;converte de binario p BCD

	movlw	'0'
	movwf	temperatura_cem
	
	swapf	R1, w				
	andlw	0x0f
	addlw	0x30
	movwf	temperatura_dez

	movf	R1, w				;usa o byte R1, pq tem q se dividir por 100 outra vez
	andlw	0x0f				;separa os digitos p a trama de APRS
	addlw	0x30
	movwf	temperatura_um

	return


temperatura_positiva

	swapf	temp_outdoor_2, w		;carrega valores RAW da temperatura em Centrigados
	andlw	0x0f				;mascara W com 0x0F
	movwf	temperatura_cem			;e volta a carregar o mesmo  (TEMPORARIO APENAS)
	swapf	temp_outdoor_3, w		;nao havia nexexidade de queimar um byte, com esta cagada
	andlw	0xf0				;mascara com 0xF0
	addwf	temperatura_cem, w		;junta os dois no W   (TEMPORARIO APENAS)

	movwf	R2				;carrega os registos BCD, p mudar p binario
	clrf	R1
	clrf	R0
	call	BCDtoB				;BCD p binario

	movf	L_byte, w			;como o numero e' menor q FF (255), usa-se apenas o L_byte
	movwf	multiplicando			;carrega o multiplicando (o LSB)
	movlw	.180				;carrega constante p o vento, ja' multiplicada por 100
	movwf	multiplicador			;carrega o multiplicador
	call	mul8x8				;multiplica 8x8

;;;;
	movf	temp_outdoor_2, w		;verificar se o decimal da temp.exterior >= 5
	andlw	0x0f
	sublw	0x04				;subtrai W ao literal
	btfsc	status, c			;carry=0 qd >= 5
	 goto	$+9

	bcf	status, c			;apaga a carry 1o
	movlw	0xe4
	addwf	L_byte, f			;soma 3300 ao L_byte (33x100)   "compensacao p o decimal >= 5"
	btfsc	status, c
	 incf	H_byte, f			;se L_byte passar FF, incrementa o H_byte
	movlw	0x0c
	addwf	H_byte, f			;soma o resto	
	goto	$+8
;;
	bcf	status, c			;apaga a carry 1o
	movlw	0x80
	addwf	L_byte, f			;soma 3200 ao L_byte (32x100)
	btfsc	status, c
	 incf	H_byte, f			;se L_byte passar FF, incrementa o H_byte
	movlw	0x0c
	addwf	H_byte, f			;soma o resto	
;;;;

	call	B2_BCD				;converte de binario p BCD

	movf	R0, w				;temperatura_cem em R2
	andlw	0x0f				;separa os digitos p a trama de APRS
	addlw	0x30
	movwf	temperatura_cem
	
	swapf	R1, w				
	andlw	0x0f
	addlw	0x30
	movwf	temperatura_dez

	movf	R1, w				;usa o byte R1, pq tem q se dividir por 100 outra vez
	andlw	0x0f				;separa os digitos p a trama de APRS
	addlw	0x30
	movwf	temperatura_um

	return
	

;**************************************************************************************************************
;**************************************************************************************************************
_rx_indoor
	
	btfss	pir1, rcif		;usart interrupt ??
	 goto	$-1
	movf	rcreg, w
	movwf	bateria_indoor		;byte da BATERIA
	clrf	rcreg

	btfss	pir1, rcif		;usart interrupt ??
	 goto	$-1
	movf	rcreg, w
	movwf	temp_indoor_2		;TEMPERATURA INTERNA
	clrf	rcreg

	btfss	pir1, rcif		;usart interrupt ??
	 goto	$-1
	movf	rcreg, w
	movwf	temp_indoor_3		;TEMPERATURA INTERNA low nibble
	clrf	rcreg			;sinal da temperatura high nibble

	btfss	pir1, rcif		;usart interrupt ??
	 goto	$-1			;byte 4	nao usado
	clrf	rcreg
	btfss	pir1, rcif		;usart interrupt ??
	 goto	$-1			;byte 5	nao usado
	clrf	rcreg

	btfss	pir1, rcif		;usart interrupt ??
	 goto	$-1
	movf	rcreg, w
	movwf	temp_indoor_6		;PRESSAO low byte
	clrf	rcreg

	btfss	pir1, rcif		;usart interrupt ??
	 goto	$-1
	movf	rcreg, w
	movwf	temp_indoor_7		;PRESSAO high byte
	clrf	rcreg			;previsao


;;;;

	swapf	bateria_indoor, w	;verifica nivel bateria
	andlw	0x0f
	sublw	0x03			;a partir de "4" ja' da' sinal de fraco
	bcf	flag_erro, 3
	btfss	status, c
	 bsf	flag_erro, 3		;acciona erro

;*******************************************************************************
;	pressao
;	1o muda carrega a pressao RX p os H e L_bytes. Depois, junta .600 e entao
;		converte p BCD. Por fim carrega os registos p a trama APRS
;*******************************************************************************

	movf	temp_indoor_6, w	;LSB's da pressao
	movwf	L_byte
	movf	temp_indoor_7, w
	andlw	0x01
;	andlw	0x0f			;O ERRO ESTAVA AQUI. USAR APENAS O BIT 1
	movwf	H_byte			;TOTO DO CAMANDRO..... ISTO SO' VISTO....

;;;;;	soma os .600 agora

	bcf	status, c			;apaga a carry 1o
	movlw	0x58
	addwf	L_byte, f			;soma .600 aos H e L_bytes
	btfsc	status, c
	 incf	H_byte, f			;se L_byte passar FF, incrementa o H_byte
	movlw	0x02
	addwf	H_byte, f			;soma o resto	

;;;;;	converte definitivamente p BCD

	call	B2_BCD				;converte de binario p BCD

						;VALORES MENORES OU IGUAIS A 10xx mBar
						;faz os teste do digito mais alto, p certificar se
						; nao ha' erro vindo da consola. 
						; if W <= 1, actualiza
						; else nao actualiza
	swapf	R1, w				
	andlw	0x0f				
	sublw	0x01
	btfss	status, c
	 goto	forecast			;valor falso
 
	movlw	"0"				;IMPRESCINDIVEL, PQ NAO PODE TER O "."
	movwf	pressao_um

	movf	R2, w				;comeamos no pressao_dez, pq apresentamos em mmbar * 10
	andlw	0x0f				;separa os digitos p a trama de APRS
	addlw	0x30				;char ASCII
	movwf	pressao_dez
	
	swapf	R2, w				
	andlw	0x0f
	addlw	0x30				;char ASCII
	movwf	pressao_cem

	movf	R1, w				;usa o byte R1
	andlw	0x0f				;separa os digitos p a trama de APRS
	addlw	0x30				;char ASCII
	movwf	pressao_1k

	swapf	R1, w				
	andlw	0x0f				;separa os digitos p a trama de APRS
	addlw	0x30				;char ASCII
	movwf	pressao_10k

forecast
	swapf	temp_indoor_7, w		;valores da previsao meteo
	andlw	0x0f				;mascara o MSB
	movwf	temp_indoor_7

	return


;**************************************************************************************************************
;**************************************************************************************************************


